#
# spec file for package python-sphinxcontrib-trio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib-trio
Version:        1.0.1
Release:        lp152.4.2
Summary:        Make Sphinx better at documenting Python functions and methods
License:        MIT OR Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/python-trio/sphinxcontrib-trio
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-trio/sphinxcontrib-trio-%{version}.tar.gz
# https://github.com/python-trio/sphinxcontrib-trio/issues/18
Patch0:         avoid_contextlib2.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
BuildArch:      noarch
%python_subpackages

%description
This sphinx extension helps documenting Python code that uses
async/await, or abstract methods, or context managers, or generators.
It works by making sphinx's regular directives
for documenting Python functions and methods smarter.

%prep
%setup -q -n sphinxcontrib-trio-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%{python_sitelib}/*

%changelog
* Thu Nov  1 2018 mcepl@suse.com
- Add avoid_contextlib2.patch gh#python-trio/sphinxcontrib-trio#18
* Mon Apr  2 2018 jengelh@inai.de
- Ensure neutrality of description.
* Sat Mar 24 2018 arun@gmx.de
- initial version
